namespace UltraLight.MVVM.Contracts
{
    /// <summary>
    ///     Interface for a view model that understands how to save/restore state for tombstone events
    /// </summary>
    public interface ITombstoneFriendly
    {
        /// <summary>
        ///     Tombstone
        /// </summary>
        void Deactivate();

        /// <summary>
        ///     Returned from tombstone
        /// </summary>
        void Activate();
    }
}